>From 3ee20d5b2792f4f535a6c461c522e83d49283129 Mon Sep 17 00:00:00 2001
Message-Id: <3ee20d5b2792f4f535a6c461c522e83d49283129.1498501090.git.crobinso@redhat.com>
From: Cole Robinson <crobinso@redhat.com>
Date: Mon, 26 Jun 2017 10:40:39 -0400
Subject: [PATCH] qemu: command: always use -chardev for monitor config

AFAIK there aren't any cases where we will/should hit the old code
path for our supported qemu versions, so drop the old code.

Massive test suite churn follows

Signed-off-by: Cole Robinson <crobinso@redhat.com>
---
 src/qemu/qemu_command.c                            | 38 +++++++---------------
 .../qemuxml2argv-aarch64-aavmf-virtio-mmio.args    |  4 ++-
 .../qemuxml2argv-aarch64-acpi-uefi.args            |  4 ++-
 .../qemuxml2argv-aarch64-cpu-passthrough.args      |  4 ++-
 .../qemuxml2argv-aarch64-gic-host.args             |  4 ++-
 .../qemuxml2argv-aarch64-gic-none-tcg.args         |  4 ++-
 .../qemuxml2argv-aarch64-gic-v2.args               |  4 ++-
 .../qemuxml2argv-aarch64-gic-v3.args               |  4 ++-
 .../qemuxml2argv-aarch64-kvm-32-on-64.args         |  4 ++-
 .../qemuxml2argv-aarch64-noacpi-nouefi.args        |  4 ++-
 .../qemuxml2argv-aarch64-noacpi-uefi.args          |  4 ++-
 ...muxml2argv-aarch64-usb-controller-nec-xhci.args |  4 ++-
 ...uxml2argv-aarch64-usb-controller-qemu-xhci.args |  4 ++-
 .../qemuxml2argv-aarch64-video-virtio-gpu-pci.args |  4 ++-
 ...l2argv-aarch64-virt-2.6-virtio-pci-default.args |  4 ++-
 .../qemuxml2argv-aarch64-virt-default-nic.args     |  5 +--
 .../qemuxml2argv-aarch64-virt-virtio.args          |  4 ++-
 .../qemuxml2argv-aarch64-virtio-pci-default.args   |  4 ++-
 ...l2argv-aarch64-virtio-pci-manual-addresses.args |  4 ++-
 .../qemuxml2argvdata/qemuxml2argv-acpi-table.args  |  4 ++-
 .../qemuxml2argv-arm-vexpressa9-basic.args         |  4 ++-
 .../qemuxml2argv-arm-vexpressa9-nodevs.args        |  4 ++-
 .../qemuxml2argv-arm-vexpressa9-virtio.args        |  4 ++-
 .../qemuxml2argv-arm-virt-virtio.args              |  4 ++-
 tests/qemuxml2argvdata/qemuxml2argv-autoindex.args |  4 ++-
 .../qemuxml2argv-balloon-ccw-deflate.args          |  4 ++-
 .../qemuxml2argv-balloon-device-auto.args          |  4 ++-
 .../qemuxml2argv-balloon-device-deflate-off.args   |  4 ++-
 .../qemuxml2argv-balloon-device-deflate.args       |  4 ++-
 .../qemuxml2argv-balloon-device-period.args        |  4 ++-
 .../qemuxml2argv-balloon-device.args               |  4 ++-
 .../qemuxml2argv-balloon-mmio-deflate.args         |  4 ++-
 .../qemuxml2argv-bios-nvram-secure.args            |  4 ++-
 .../qemuxml2argvdata/qemuxml2argv-bios-nvram.args  |  4 ++-
 tests/qemuxml2argvdata/qemuxml2argv-bios.args      |  4 ++-
 .../qemuxml2argv-blkdeviotune-group-num.args       |  4 ++-
 .../qemuxml2argv-blkdeviotune-max-length.args      |  4 ++-
 .../qemuxml2argv-blkdeviotune-max.args             |  4 ++-
 .../qemuxml2argv-blkdeviotune.args                 |  4 ++-
 .../qemuxml2argv-blkiotune-device.args             |  4 ++-
 tests/qemuxml2argvdata/qemuxml2argv-blkiotune.args |  4 ++-
 .../qemuxml2argvdata/qemuxml2argv-boot-cdrom.args  |  4 ++-
 .../qemuxml2argv-boot-complex-bootindex.args       |  4 ++-
 .../qemuxml2argv-boot-complex.args                 |  4 ++-
 .../qemuxml2argv-boot-floppy-q35.args              |  4 ++-
 .../qemuxml2argvdata/qemuxml2argv-boot-floppy.args |  4 ++-
 ...xml2argv-boot-menu-disable-drive-bootindex.args |  4 ++-
 .../qemuxml2argv-boot-menu-disable-drive.args      |  4 ++-
 .../qemuxml2argv-boot-menu-disable.args            |  4 ++-
 .../qemuxml2argv-boot-menu-enable-bootindex.args   |  4 ++-
 ...qemuxml2argv-boot-menu-enable-with-timeout.args |  4 ++-
 .../qemuxml2argv-boot-menu-enable.args             |  4 ++-
 .../qemuxml2argvdata/qemuxml2argv-boot-multi.args  |  4 ++-
 .../qemuxml2argv-boot-network.args                 |  4 ++-
 .../qemuxml2argvdata/qemuxml2argv-boot-order.args  |  4 ++-
 .../qemuxml2argvdata/qemuxml2argv-boot-strict.args |  4 ++-
 .../qemuxml2argv-bootindex-floppy-q35.args         |  4 ++-
 .../qemuxml2argv-channel-spicevmc-old.args         |  4 ++-
 .../qemuxml2argv-channel-spicevmc.args             |  4 ++-
 .../qemuxml2argv-clock-catchup.args                |  4 ++-
 .../qemuxml2argv-clock-france.args                 |  4 ++-
 .../qemuxml2argv-clock-hpet-off.args               |  4 ++-
 ...muxml2argv-clock-localtime-basis-localtime.args |  4 ++-
 .../qemuxml2argv-clock-localtime.args              |  4 ++-
 .../qemuxml2argv-clock-timer-hyperv-rtc.args       |  4 ++-
 tests/qemuxml2argvdata/qemuxml2argv-clock-utc.args |  4 ++-
 .../qemuxml2argv-clock-variable.args               |  4 ++-
 .../qemuxml2argv-console-compat-auto.args          |  4 ++-
 .../qemuxml2argv-console-compat.args               |  4 ++-
 .../qemuxml2argv-cpu-Haswell-noTSX.args            |  4 ++-
 .../qemuxml2argvdata/qemuxml2argv-cpu-Haswell.args |  4 ++-
 .../qemuxml2argv-cpu-Haswell2.args                 |  4 ++-
 .../qemuxml2argv-cpu-Haswell3.args                 |  4 ++-
 .../qemuxml2argv-cpu-cache-disable.args            |  4 ++-
 .../qemuxml2argv-cpu-cache-disable2.args           |  4 ++-
 .../qemuxml2argv-cpu-cache-disable3.args           |  4 ++-
 .../qemuxml2argv-cpu-cache-emulate-l3.args         |  4 ++-
 .../qemuxml2argv-cpu-cache-passthrough.args        |  4 ++-
 .../qemuxml2argv-cpu-cache-passthrough2.args       |  4 ++-
 .../qemuxml2argv-cpu-check-default-none.args       |  4 ++-
 .../qemuxml2argv-cpu-check-default-none2.args      |  4 ++-
 .../qemuxml2argv-cpu-check-default-partial.args    |  4 ++-
 .../qemuxml2argv-cpu-check-default-partial2.args   |  4 ++-
 .../qemuxml2argv-cpu-check-none.args               |  4 ++-
 .../qemuxml2argv-cpu-eoi-disabled.args             |  4 ++-
 .../qemuxml2argv-cpu-eoi-enabled.args              |  4 ++-
 .../qemuxml2argvdata/qemuxml2argv-cpu-exact1.args  |  4 ++-
 .../qemuxml2argv-cpu-exact2-nofallback.args        |  4 ++-
 .../qemuxml2argvdata/qemuxml2argv-cpu-exact2.args  |  4 ++-
 .../qemuxml2argv-cpu-fallback.args                 |  4 ++-
 .../qemuxml2argv-cpu-host-kvmclock.args            |  4 ++-
 .../qemuxml2argv-cpu-host-model-cmt.args           |  4 ++-
 .../qemuxml2argv-cpu-host-model-fallback.args      |  4 ++-
 .../qemuxml2argv-cpu-host-model-vendor.args        |  4 ++-
 .../qemuxml2argv-cpu-host-model.args               |  4 ++-
 ...qemuxml2argv-cpu-host-passthrough-features.args |  4 ++-
 .../qemuxml2argv-cpu-host-passthrough.args         |  4 ++-
 .../qemuxml2argv-cpu-hotplug-startup.args          |  4 ++-
 .../qemuxml2argv-cpu-kvmclock.args                 |  4 ++-
 .../qemuxml2argv-cpu-minimum1.args                 |  4 ++-
 .../qemuxml2argv-cpu-minimum2.args                 |  4 ++-
 .../qemuxml2argv-cpu-numa-disjoint.args            |  4 ++-
 .../qemuxml2argv-cpu-numa-memshared.args           |  4 ++-
 .../qemuxml2argv-cpu-numa-no-memory-element.args   |  4 ++-
 tests/qemuxml2argvdata/qemuxml2argv-cpu-numa1.args |  4 ++-
 tests/qemuxml2argvdata/qemuxml2argv-cpu-numa2.args |  4 ++-
 .../qemuxml2argv-cpu-s390-features.args            |  4 ++-
 .../qemuxml2argv-cpu-s390-zEC12.args               |  4 ++-
 .../qemuxml2argvdata/qemuxml2argv-cpu-strict1.args |  4 ++-
 .../qemuxml2argv-cpu-topology1.args                |  4 ++-
 .../qemuxml2argv-cpu-topology2.args                |  4 ++-
 .../qemuxml2argv-cpu-topology3.args                |  4 ++-
 .../qemuxml2argv-cpu-tsc-frequency.args            |  4 ++-
 .../qemuxml2argv-cputune-numatune.args             |  4 ++-
 .../qemuxml2argv-cputune-zero-shares.args          |  4 ++-
 tests/qemuxml2argvdata/qemuxml2argv-cputune.args   |  4 ++-
 .../qemuxml2argv-debug-threads.args                |  4 ++-
 .../qemuxml2argv-default-kvm-host-arch.args        |  4 ++-
 .../qemuxml2argv-default-qemu-host-arch.args       |  4 ++-
 tests/qemuxml2argvdata/qemuxml2argv-disk-aio.args  |  4 ++-
 .../qemuxml2argv-disk-blockio.args                 |  4 ++-
 .../qemuxml2argv-disk-cdrom-empty.args             |  4 ++-
 .../qemuxml2argv-disk-cdrom-network-ftp.args       |  4 ++-
 .../qemuxml2argv-disk-cdrom-network-ftps.args      |  4 ++-
 .../qemuxml2argv-disk-cdrom-network-http.args      |  4 ++-
 .../qemuxml2argv-disk-cdrom-network-https.args     |  4 ++-
 .../qemuxml2argv-disk-cdrom-network-tftp.args      |  4 ++-
 ...qemuxml2argv-disk-cdrom-tray-no-device-cap.args |  4 ++-
 .../qemuxml2argv-disk-cdrom-tray.args              |  4 ++-
 .../qemuxml2argvdata/qemuxml2argv-disk-cdrom.args  |  4 ++-
 .../qemuxml2argv-disk-copy_on_read.args            |  4 ++-
 .../qemuxml2argv-disk-drive-boot-cdrom.args        |  4 ++-
 .../qemuxml2argv-disk-drive-boot-disk.args         |  4 ++-
 .../qemuxml2argv-disk-drive-cache-directsync.args  |  4 ++-
 .../qemuxml2argv-disk-drive-cache-unsafe.args      |  4 ++-
 .../qemuxml2argv-disk-drive-cache-v2-none.args     |  4 ++-
 .../qemuxml2argv-disk-drive-cache-v2-wb.args       |  4 ++-
 .../qemuxml2argv-disk-drive-cache-v2-wt.args       |  4 ++-
 .../qemuxml2argv-disk-drive-copy-on-read.args      |  4 ++-
 .../qemuxml2argv-disk-drive-detect-zeroes.args     |  4 ++-
 .../qemuxml2argv-disk-drive-discard.args           |  4 ++-
 ...uxml2argv-disk-drive-error-policy-enospace.args |  4 ++-
 .../qemuxml2argv-disk-drive-error-policy-stop.args |  4 ++-
 ...gv-disk-drive-error-policy-wreport-rignore.args |  4 ++-
 .../qemuxml2argv-disk-drive-fmt-qcow.args          |  4 ++-
 .../qemuxml2argv-disk-drive-network-gluster.args   |  4 ++-
 ...qemuxml2argv-disk-drive-network-iscsi-auth.args |  4 ++-
 .../qemuxml2argv-disk-drive-network-iscsi-lun.args |  4 ++-
 .../qemuxml2argv-disk-drive-network-iscsi.args     |  4 ++-
 ...qemuxml2argv-disk-drive-network-nbd-export.args |  4 ++-
 ...ml2argv-disk-drive-network-nbd-ipv6-export.args |  4 ++-
 .../qemuxml2argv-disk-drive-network-nbd-ipv6.args  |  4 ++-
 .../qemuxml2argv-disk-drive-network-nbd-unix.args  |  4 ++-
 .../qemuxml2argv-disk-drive-network-nbd.args       |  4 ++-
 ...muxml2argv-disk-drive-network-rbd-auth-AES.args |  4 ++-
 .../qemuxml2argv-disk-drive-network-rbd-auth.args  |  4 ++-
 .../qemuxml2argv-disk-drive-network-rbd-ipv6.args  |  4 ++-
 .../qemuxml2argv-disk-drive-network-rbd.args       |  4 ++-
 .../qemuxml2argv-disk-drive-network-sheepdog.args  |  4 ++-
 .../qemuxml2argv-disk-drive-no-boot.args           |  4 ++-
 .../qemuxml2argv-disk-drive-readonly-disk.args     |  4 ++-
 ...qemuxml2argv-disk-drive-readonly-no-device.args |  4 ++-
 .../qemuxml2argv-disk-drive-shared.args            |  4 ++-
 ...emuxml2argv-disk-floppy-tray-no-device-cap.args |  4 ++-
 .../qemuxml2argv-disk-floppy-tray.args             |  4 ++-
 .../qemuxml2argvdata/qemuxml2argv-disk-floppy.args |  4 ++-
 .../qemuxml2argv-disk-geometry.args                |  4 ++-
 .../qemuxml2argv-disk-ide-drive-split.args         |  4 ++-
 .../qemuxml2argv-disk-ide-wwn.args                 |  4 ++-
 .../qemuxml2argv-disk-ioeventfd.args               |  4 ++-
 .../qemuxml2argvdata/qemuxml2argv-disk-iscsi.args  |  4 ++-
 tests/qemuxml2argvdata/qemuxml2argv-disk-many.args |  4 ++-
 .../qemuxml2argvdata/qemuxml2argv-disk-order.args  |  4 ++-
 .../qemuxml2argv-disk-sata-device.args             |  4 ++-
 .../qemuxml2argv-disk-scsi-device-auto.args        |  4 ++-
 .../qemuxml2argv-disk-scsi-device.args             |  4 ++-
 .../qemuxml2argv-disk-scsi-disk-split.args         |  4 ++-
 .../qemuxml2argv-disk-scsi-disk-vpd.args           |  4 ++-
 .../qemuxml2argv-disk-scsi-disk-wwn.args           |  4 ++-
 .../qemuxml2argv-disk-scsi-lun-passthrough.args    |  4 ++-
 .../qemuxml2argv-disk-scsi-megasas.args            |  4 ++-
 .../qemuxml2argv-disk-scsi-mptsas1068.args         |  4 ++-
 .../qemuxml2argv-disk-scsi-virtio-scsi.args        |  4 ++-
 .../qemuxml2argv-disk-scsi-vscsi.args              |  4 ++-
 .../qemuxml2argvdata/qemuxml2argv-disk-serial.args |  4 ++-
 .../qemuxml2argv-disk-snapshot.args                |  4 ++-
 .../qemuxml2argv-disk-source-pool-mode.args        |  4 ++-
 .../qemuxml2argv-disk-source-pool.args             |  4 ++-
 .../qemuxml2argv-disk-usb-device-removable.args    |  4 ++-
 .../qemuxml2argv-disk-usb-device.args              |  4 ++-
 .../qemuxml2argv-disk-virtio-ccw-many.args         |  4 ++-
 .../qemuxml2argv-disk-virtio-ccw.args              |  4 ++-
 .../qemuxml2argv-disk-virtio-s390.args             |  4 ++-
 .../qemuxml2argv-disk-virtio-scsi-ccw.args         |  4 ++-
 .../qemuxml2argv-disk-virtio-scsi-cmd_per_lun.args |  4 ++-
 .../qemuxml2argv-disk-virtio-scsi-ioeventfd.args   |  4 ++-
 .../qemuxml2argv-disk-virtio-scsi-max_sectors.args |  4 ++-
 .../qemuxml2argv-disk-virtio-scsi-num_queues.args  |  4 ++-
 .../qemuxml2argvdata/qemuxml2argv-disk-virtio.args |  4 ++-
 .../qemuxml2argv-encrypted-disk-usage.args         |  4 ++-
 .../qemuxml2argv-encrypted-disk.args               |  4 ++-
 .../qemuxml2argv-eoi-disabled.args                 |  4 ++-
 .../qemuxml2argvdata/qemuxml2argv-eoi-enabled.args |  4 ++-
 tests/qemuxml2argvdata/qemuxml2argv-event_idx.args |  4 ++-
 .../qemuxml2argv-fd-memory-no-numa-topology.args   |  4 ++-
 .../qemuxml2argv-fd-memory-numa-topology.args      |  4 ++-
 .../qemuxml2argv-fd-memory-numa-topology2.args     |  4 ++-
 .../qemuxml2argv-fd-memory-numa-topology3.args     |  4 ++-
 .../qemuxml2argv-fips-enabled.args                 |  4 ++-
 .../qemuxml2argv-floppy-drive-fat.args             |  4 ++-
 tests/qemuxml2argvdata/qemuxml2argv-fs9p-ccw.args  |  4 ++-
 tests/qemuxml2argvdata/qemuxml2argv-fs9p.args      |  4 ++-
 .../qemuxml2argv-graphics-sdl-fullscreen.args      |  4 ++-
 .../qemuxml2argv-graphics-sdl.args                 |  4 ++-
 ...emuxml2argv-graphics-spice-agent-file-xfer.args |  4 ++-
 .../qemuxml2argv-graphics-spice-agentmouse.args    |  4 ++-
 ...emuxml2argv-graphics-spice-auto-socket-cfg.args |  4 ++-
 .../qemuxml2argv-graphics-spice-auto-socket.args   |  4 ++-
 .../qemuxml2argv-graphics-spice-compression.args   |  4 ++-
 .../qemuxml2argv-graphics-spice-no-args.args       |  4 ++-
 .../qemuxml2argv-graphics-spice-qxl-vga.args       |  4 ++-
 .../qemuxml2argv-graphics-spice-sasl.args          |  4 ++-
 .../qemuxml2argv-graphics-spice-socket.args        |  4 ++-
 .../qemuxml2argv-graphics-spice-timeout.args       |  4 ++-
 .../qemuxml2argv-graphics-spice.args               |  4 ++-
 .../qemuxml2argv-graphics-vnc-auto-socket-cfg.args |  4 ++-
 .../qemuxml2argv-graphics-vnc-auto-socket.args     |  4 ++-
 .../qemuxml2argv-graphics-vnc-no-listen-attr.args  |  4 ++-
 .../qemuxml2argv-graphics-vnc-none.args            |  4 ++-
 .../qemuxml2argv-graphics-vnc-policy.args          |  4 ++-
 ...2argv-graphics-vnc-remove-generated-socket.args |  4 ++-
 .../qemuxml2argv-graphics-vnc-sasl.args            |  4 ++-
 .../qemuxml2argv-graphics-vnc-socket.args          |  4 ++-
 .../qemuxml2argv-graphics-vnc-tls.args             |  4 ++-
 .../qemuxml2argv-graphics-vnc-websocket.args       |  4 ++-
 .../qemuxml2argv-graphics-vnc.args                 |  4 ++-
 .../qemuxml2argv-hostdev-mdev-precreated.args      |  4 ++-
 .../qemuxml2argv-hostdev-pci-address-device.args   |  4 ++-
 .../qemuxml2argv-hostdev-pci-address.args          |  4 ++-
 .../qemuxml2argv-hostdev-scsi-lsi-iscsi-auth.args  |  4 ++-
 .../qemuxml2argv-hostdev-scsi-lsi-iscsi.args       |  4 ++-
 .../qemuxml2argv-hostdev-scsi-lsi.args             |  4 ++-
 .../qemuxml2argv-hostdev-scsi-readonly.args        |  4 ++-
 .../qemuxml2argv-hostdev-scsi-vhost-scsi-ccw.args  |  4 ++-
 .../qemuxml2argv-hostdev-scsi-vhost-scsi-pci.args  |  4 ++-
 ...emuxml2argv-hostdev-scsi-virtio-iscsi-auth.args |  4 ++-
 .../qemuxml2argv-hostdev-scsi-virtio-iscsi.args    |  4 ++-
 .../qemuxml2argv-hostdev-scsi-virtio-scsi.args     |  4 ++-
 ...muxml2argv-hostdev-usb-address-device-boot.args |  4 ++-
 .../qemuxml2argv-hostdev-usb-address-device.args   |  4 ++-
 .../qemuxml2argv-hostdev-usb-address.args          |  4 ++-
 .../qemuxml2argv-hostdev-vfio-multidomain.args     |  4 ++-
 .../qemuxml2argv-hostdev-vfio.args                 |  4 ++-
 .../qemuxml2argv-hotplug-base.args                 |  4 ++-
 .../qemuxml2argv-hugepages-memaccess.args          |  4 ++-
 .../qemuxml2argv-hugepages-memaccess2.args         |  4 ++-
 .../qemuxml2argv-hugepages-numa.args               |  4 ++-
 .../qemuxml2argv-hugepages-pages.args              |  4 ++-
 .../qemuxml2argv-hugepages-pages2.args             |  5 +--
 .../qemuxml2argv-hugepages-pages3.args             |  5 +--
 .../qemuxml2argv-hugepages-pages5.args             |  5 +--
 .../qemuxml2argv-hugepages-pages6.args             |  5 +--
 .../qemuxml2argv-hugepages-shared.args             |  4 ++-
 tests/qemuxml2argvdata/qemuxml2argv-hugepages.args |  4 ++-
 .../qemuxml2argvdata/qemuxml2argv-hyperv-off.args  |  4 ++-
 .../qemuxml2argv-hyperv-panic.args                 |  4 ++-
 tests/qemuxml2argvdata/qemuxml2argv-hyperv.args    |  4 ++-
 .../qemuxml2argv-input-usbmouse-addr.args          |  4 ++-
 .../qemuxml2argv-input-usbmouse.args               |  4 ++-
 .../qemuxml2argv-input-usbtablet.args              |  4 ++-
 .../qemuxml2argv-intel-iommu-caching-mode.args     |  4 ++-
 .../qemuxml2argv-intel-iommu-device-iotlb.args     |  4 ++-
 .../qemuxml2argv-intel-iommu-eim.args              |  4 ++-
 .../qemuxml2argv-intel-iommu-ioapic.args           |  4 ++-
 .../qemuxml2argv-intel-iommu-machine.args          |  4 ++-
 .../qemuxml2argvdata/qemuxml2argv-intel-iommu.args |  4 ++-
 .../qemuxml2argv-iothreads-disk-virtio-ccw.args    |  4 ++-
 .../qemuxml2argv-iothreads-disk.args               |  4 ++-
 .../qemuxml2argv-iothreads-ids-partial.args        |  4 ++-
 .../qemuxml2argv-iothreads-ids.args                |  4 ++-
 .../qemuxml2argv-iothreads-virtio-scsi-ccw.args    |  4 ++-
 .../qemuxml2argv-iothreads-virtio-scsi-pci.args    |  4 ++-
 tests/qemuxml2argvdata/qemuxml2argv-iothreads.args |  4 ++-
 .../qemuxml2argv-kvm-features-off.args             |  4 ++-
 .../qemuxml2argv-kvm-features.args                 |  4 ++-
 .../qemuxml2argv-kvm-pit-delay.args                |  4 ++-
 .../qemuxml2argv-kvm-pit-discard.args              |  4 ++-
 tests/qemuxml2argvdata/qemuxml2argv-kvm.args       |  4 ++-
 .../qemuxml2argv-kvmclock+eoi-disabled.args        |  4 ++-
 tests/qemuxml2argvdata/qemuxml2argv-kvmclock.args  |  4 ++-
 .../qemuxml2argvdata/qemuxml2argv-luks-disks.args  |  4 ++-
 .../qemuxml2argv-machine-aeskeywrap-off-cap.args   |  4 ++-
 .../qemuxml2argv-machine-aeskeywrap-off-caps.args  |  4 ++-
 .../qemuxml2argv-machine-aeskeywrap-on-cap.args    |  4 ++-
 .../qemuxml2argv-machine-aeskeywrap-on-caps.args   |  4 ++-
 .../qemuxml2argv-machine-aliases1.args             |  4 ++-
 .../qemuxml2argv-machine-aliases2.args             |  4 ++-
 .../qemuxml2argv-machine-core-cfg-off.args         |  4 ++-
 .../qemuxml2argv-machine-core-off.args             |  4 ++-
 .../qemuxml2argv-machine-core-on.args              |  4 ++-
 .../qemuxml2argv-machine-deakeywrap-off-cap.args   |  4 ++-
 .../qemuxml2argv-machine-deakeywrap-off-caps.args  |  4 ++-
 .../qemuxml2argv-machine-deakeywrap-on-cap.args    |  4 ++-
 .../qemuxml2argv-machine-deakeywrap-on-caps.args   |  4 ++-
 .../qemuxml2argv-machine-keywrap-none-caps.args    |  4 ++-
 .../qemuxml2argv-machine-keywrap-none.args         |  4 ++-
 ...-machine-loadparm-multiple-disks-nets-s390.args |  4 ++-
 .../qemuxml2argv-machine-loadparm-net-s390.args    |  4 ++-
 .../qemuxml2argv-machine-loadparm-s390.args        |  4 ++-
 .../qemuxml2argv-machine-smm-opt.args              |  4 ++-
 .../qemuxml2argv-machine-usb-opt.args              |  4 ++-
 .../qemuxml2argv-machine-vmport-opt.args           |  4 ++-
 .../qemuxml2argvdata/qemuxml2argv-master-key.args  |  4 ++-
 .../qemuxml2argv-memory-hotplug-dimm-addr.args     |  4 ++-
 .../qemuxml2argv-memory-hotplug-dimm.args          |  4 ++-
 .../qemuxml2argv-memory-hotplug-nvdimm-access.args |  4 ++-
 .../qemuxml2argv-memory-hotplug-nvdimm-label.args  |  4 ++-
 .../qemuxml2argv-memory-hotplug-nvdimm.args        |  4 ++-
 .../qemuxml2argv-memory-hotplug-ppc64-nonuma.args  |  4 ++-
 .../qemuxml2argv-memory-hotplug.args               |  4 ++-
 .../qemuxml2argv-memtune-unlimited.args            |  4 ++-
 tests/qemuxml2argvdata/qemuxml2argv-memtune.args   |  4 ++-
 .../qemuxml2argv-migrate-numa-unaligned.args       |  4 ++-
 tests/qemuxml2argvdata/qemuxml2argv-migrate.args   |  4 ++-
 .../qemuxml2argv-minimal-msg-timestamp.args        |  4 ++-
 tests/qemuxml2argvdata/qemuxml2argv-minimal.args   |  4 ++-
 tests/qemuxml2argvdata/qemuxml2argv-misc-acpi.args |  4 ++-
 .../qemuxml2argv-misc-disable-s3.args              |  4 ++-
 .../qemuxml2argv-misc-disable-suspends.args        |  4 ++-
 .../qemuxml2argv-misc-enable-s4.args               |  4 ++-
 .../qemuxml2argv-misc-no-reboot.args               |  4 ++-
 tests/qemuxml2argvdata/qemuxml2argv-misc-uuid.args |  4 ++-
 tests/qemuxml2argvdata/qemuxml2argv-mlock-off.args |  4 ++-
 tests/qemuxml2argvdata/qemuxml2argv-mlock-on.args  |  4 ++-
 .../qemuxml2argv-mlock-unsupported.args            |  4 ++-
 .../qemuxml2argv-multifunction-pci-device.args     |  4 ++-
 .../qemuxml2argvdata/qemuxml2argv-net-client.args  |  4 ++-
 .../qemuxml2argv-net-eth-hostip.args               |  4 ++-
 .../qemuxml2argv-net-eth-ifname.args               |  4 ++-
 .../qemuxml2argv-net-eth-names.args                |  4 ++-
 tests/qemuxml2argvdata/qemuxml2argv-net-eth.args   |  4 ++-
 .../qemuxml2argv-net-hostdev-multidomain.args      |  4 ++-
 .../qemuxml2argv-net-hostdev-vfio-multidomain.args |  4 ++-
 .../qemuxml2argv-net-hostdev-vfio.args             |  4 ++-
 .../qemuxml2argvdata/qemuxml2argv-net-hostdev.args |  4 ++-
 tests/qemuxml2argvdata/qemuxml2argv-net-mcast.args |  4 ++-
 .../qemuxml2argvdata/qemuxml2argv-net-server.args  |  4 ++-
 tests/qemuxml2argvdata/qemuxml2argv-net-udp.args   |  4 ++-
 tests/qemuxml2argvdata/qemuxml2argv-net-user.args  |  4 ++-
 .../qemuxml2argv-net-vhostuser-multiq.args         |  4 ++-
 .../qemuxml2argv-net-vhostuser.args                |  4 ++-
 .../qemuxml2argv-net-virtio-ccw.args               |  4 ++-
 .../qemuxml2argv-net-virtio-device.args            |  4 ++-
 .../qemuxml2argv-net-virtio-disable-offloads.args  |  4 ++-
 .../qemuxml2argv-net-virtio-netdev.args            |  4 ++-
 .../qemuxml2argv-net-virtio-rxqueuesize.args       |  4 ++-
 .../qemuxml2argv-net-virtio-s390.args              |  4 ++-
 .../qemuxml2argvdata/qemuxml2argv-net-virtio.args  |  4 ++-
 .../qemuxml2argv-no-kvm-pit-device.args            |  4 ++-
 .../qemuxml2argv-nographics-display.args           |  4 ++-
 .../qemuxml2argv-nographics-vga.args               |  4 ++-
 .../qemuxml2argvdata/qemuxml2argv-nographics.args  |  4 ++-
 .../qemuxml2argv-nosharepages.args                 |  4 ++-
 ...qemuxml2argv-numad-auto-memory-vcpu-cpuset.args |  4 ++-
 ...d-auto-memory-vcpu-no-cpuset-and-placement.args |  4 ++-
 ...muxml2argv-numad-auto-vcpu-static-numatune.args |  4 ++-
 ...qemuxml2argv-numad-static-memory-auto-vcpu.args |  4 ++-
 tests/qemuxml2argvdata/qemuxml2argv-numad.args     |  4 ++-
 ...qemuxml2argv-numatune-auto-nodeset-invalid.args |  4 ++-
 .../qemuxml2argv-numatune-auto-prefer.args         |  4 ++-
 .../qemuxml2argv-numatune-memnode-no-memory.args   |  4 ++-
 .../qemuxml2argv-numatune-memnode.args             |  4 ++-
 .../qemuxml2argv-numatune-memory.args              |  4 ++-
 .../qemuxml2argv-panic-double.args                 |  4 ++-
 .../qemuxml2argv-panic-no-address.args             |  4 ++-
 tests/qemuxml2argvdata/qemuxml2argv-panic.args     |  4 ++-
 .../qemuxml2argv-pci-autoadd-addr.args             |  4 ++-
 .../qemuxml2argv-pci-autoadd-idx.args              |  4 ++-
 .../qemuxml2argv-pci-autofill-addr.args            |  4 ++-
 .../qemuxml2argv-pci-bridge-many-disks.args        |  4 ++-
 .../qemuxml2argvdata/qemuxml2argv-pci-bridge.args  |  4 ++-
 .../qemuxml2argv-pci-expander-bus.args             |  4 ++-
 tests/qemuxml2argvdata/qemuxml2argv-pci-many.args  |  4 ++-
 tests/qemuxml2argvdata/qemuxml2argv-pci-rom.args   |  4 ++-
 .../qemuxml2argv-pcie-expander-bus.args            |  5 +--
 .../qemuxml2argv-pcie-root-port-model-generic.args |  4 ++-
 .../qemuxml2argv-pcie-root-port-model-ioh3420.args |  4 ++-
 .../qemuxml2argv-pcie-root-port.args               |  4 ++-
 tests/qemuxml2argvdata/qemuxml2argv-pcie-root.args |  4 ++-
 .../qemuxml2argv-pcie-switch-downstream-port.args  |  4 ++-
 .../qemuxml2argv-pcie-switch-upstream-port.args    |  4 ++-
 .../qemuxml2argv-pcihole64-q35.args                |  4 ++-
 tests/qemuxml2argvdata/qemuxml2argv-pcihole64.args |  4 ++-
 .../qemuxml2argv-pmu-feature-off.args              |  4 ++-
 .../qemuxml2argvdata/qemuxml2argv-pmu-feature.args |  4 ++-
 tests/qemuxml2argvdata/qemuxml2argv-ppc-dtb.args   |  4 ++-
 .../qemuxml2argv-ppc64-usb-controller-legacy.args  |  4 ++-
 ...emuxml2argv-ppc64-usb-controller-qemu-xhci.args |  4 ++-
 .../qemuxml2argv-ppc64-usb-controller.args         |  4 ++-
 .../qemuxml2argv-pseries-nvram.args                |  4 ++-
 .../qemuxml2argv-pv-spinlock-disabled.args         |  4 ++-
 .../qemuxml2argv-pv-spinlock-enabled.args          |  4 ++-
 .../qemuxml2argv-q35-acpi-nouefi.args              |  4 ++-
 .../qemuxml2argv-q35-acpi-uefi.args                |  4 ++-
 .../qemuxml2argv-q35-default-devices-only.args     |  4 ++-
 .../qemuxml2argv-q35-multifunction.args            |  4 ++-
 .../qemuxml2argv-q35-noacpi-nouefi.args            |  4 ++-
 .../qemuxml2argv-q35-pci-force-address.args        |  4 ++-
 .../qemuxml2argv-q35-pcie-autoadd.args             |  4 ++-
 tests/qemuxml2argvdata/qemuxml2argv-q35-pcie.args  |  4 ++-
 .../qemuxml2argv-q35-pm-disable-fallback.args      |  4 ++-
 .../qemuxml2argv-q35-pm-disable.args               |  4 ++-
 .../qemuxml2argv-q35-usb2-multi.args               |  4 ++-
 .../qemuxml2argv-q35-usb2-reorder.args             |  4 ++-
 tests/qemuxml2argvdata/qemuxml2argv-q35-usb2.args  |  4 ++-
 .../qemuxml2argv-q35-virt-manager-basic.args       |  4 ++-
 .../qemuxml2argv-q35-virtio-pci.args               |  4 ++-
 tests/qemuxml2argvdata/qemuxml2argv-q35.args       |  4 ++-
 .../qemuxml2argv-qemu-ns-commandline-ns0.args      |  4 ++-
 .../qemuxml2argv-qemu-ns-commandline-ns1.args      |  4 ++-
 .../qemuxml2argv-qemu-ns-commandline.args          |  4 ++-
 ...emuxml2argv-qemu-ns-domain-commandline-ns0.args |  4 ++-
 .../qemuxml2argv-qemu-ns-domain-commandline.args   |  4 ++-
 .../qemuxml2argv-qemu-ns-domain-ns0.args           |  4 ++-
 .../qemuxml2argv-qemu-ns-no-env.args               |  4 ++-
 tests/qemuxml2argvdata/qemuxml2argv-qemu-ns.args   |  4 ++-
 .../qemuxml2argv-reboot-timeout-disabled.args      |  4 ++-
 .../qemuxml2argv-reboot-timeout-enabled.args       |  4 ++-
 .../qemuxml2argv-restore-v2-fd.args                |  4 ++-
 .../qemuxml2argvdata/qemuxml2argv-restore-v2.args  |  4 ++-
 .../qemuxml2argv-seclabel-dac-none.args            |  4 ++-
 .../qemuxml2argv-seclabel-dynamic-baselabel.args   |  4 ++-
 .../qemuxml2argv-seclabel-dynamic-labelskip.args   |  4 ++-
 .../qemuxml2argv-seclabel-dynamic-override.args    |  4 ++-
 .../qemuxml2argv-seclabel-dynamic-relabel.args     |  4 ++-
 .../qemuxml2argv-seclabel-dynamic.args             |  4 ++-
 .../qemuxml2argv-seclabel-none.args                |  4 ++-
 .../qemuxml2argv-seclabel-static-labelskip.args    |  4 ++-
 .../qemuxml2argv-seclabel-static-relabel.args      |  4 ++-
 .../qemuxml2argv-seclabel-static.args              |  4 ++-
 .../qemuxml2argvdata/qemuxml2argv-serial-dev.args  |  4 ++-
 .../qemuxml2argvdata/qemuxml2argv-serial-file.args |  4 ++-
 .../qemuxml2argvdata/qemuxml2argv-serial-many.args |  4 ++-
 .../qemuxml2argvdata/qemuxml2argv-serial-pty.args  |  4 ++-
 .../qemuxml2argv-serial-spiceport-nospice.args     |  4 ++-
 .../qemuxml2argv-serial-tcp-telnet.args            |  4 ++-
 .../qemuxml2argvdata/qemuxml2argv-serial-tcp.args  |  4 ++-
 .../qemuxml2argvdata/qemuxml2argv-serial-udp.args  |  4 ++-
 .../qemuxml2argvdata/qemuxml2argv-serial-unix.args |  4 ++-
 tests/qemuxml2argvdata/qemuxml2argv-serial-vc.args |  4 ++-
 .../qemuxml2argv-shmem-plain-doorbell.args         |  4 ++-
 tests/qemuxml2argvdata/qemuxml2argv-shmem.args     |  4 ++-
 tests/qemuxml2argvdata/qemuxml2argv-smbios.args    |  4 ++-
 tests/qemuxml2argvdata/qemuxml2argv-smp.args       |  4 ++-
 .../qemuxml2argv-sound-device.args                 |  4 ++-
 tests/qemuxml2argvdata/qemuxml2argv-sound.args     |  4 ++-
 .../qemuxml2argv-tpm-passthrough.args              |  4 ++-
 .../qemuxml2argv-usb-controller-default-q35.args   |  4 ++-
 .../qemuxml2argv-usb-controller-explicit-q35.args  |  4 ++-
 .../qemuxml2argv-usb-controller-qemu-xhci.args     |  4 ++-
 .../qemuxml2argv-vcpu-placement-static.args        |  4 ++-
 .../qemuxml2argv-video-device-pciaddr-default.args |  4 ++-
 .../qemuxml2argv-video-qxl-device-vgamem.args      |  4 ++-
 .../qemuxml2argv-video-qxl-device.args             |  4 ++-
 .../qemuxml2argv-video-qxl-heads.args              |  4 ++-
 .../qemuxml2argv-video-qxl-nodevice.args           |  4 ++-
 .../qemuxml2argv-video-qxl-noheads.args            |  4 ++-
 .../qemuxml2argv-video-qxl-sec-device-vgamem.args  |  4 ++-
 .../qemuxml2argv-video-qxl-sec-device.args         |  4 ++-
 .../qemuxml2argv-video-vga-device-vgamem.args      |  4 ++-
 .../qemuxml2argv-video-vga-device.args             |  4 ++-
 .../qemuxml2argv-video-vga-nodevice.args           |  4 ++-
 .../qemuxml2argv-video-vga-qxl-heads.args          |  4 ++-
 .../qemuxml2argv-video-virtio-gpu-device.args      |  4 ++-
 .../qemuxml2argv-video-virtio-gpu-secondary.args   |  4 ++-
 .../qemuxml2argv-video-virtio-gpu-spice-gl.args    |  4 ++-
 .../qemuxml2argv-video-virtio-gpu-virgl.args       |  4 ++-
 .../qemuxml2argv-video-virtio-vga.args             |  4 ++-
 .../qemuxml2argv-virtio-input-passthrough.args     |  4 ++-
 .../qemuxml2argv-virtio-input.args                 |  4 ++-
 .../qemuxml2argvdata/qemuxml2argv-virtio-lun.args  |  4 ++-
 .../qemuxml2argv-virtio-options.args               |  4 ++-
 .../qemuxml2argv-virtio-rng-default.args           |  4 ++-
 .../qemuxml2argv-virtio-rng-egd.args               |  4 ++-
 .../qemuxml2argv-virtio-rng-multiple.args          |  4 ++-
 .../qemuxml2argv-virtio-rng-random.args            |  4 ++-
 .../qemuxml2argv-watchdog-device.args              |  4 ++-
 .../qemuxml2argv-watchdog-dump.args                |  4 ++-
 .../qemuxml2argv-watchdog-injectnmi.args           |  4 ++-
 tests/qemuxml2argvdata/qemuxml2argv-watchdog.args  |  4 ++-
 490 files changed, 1479 insertions(+), 521 deletions(-)

diff --git a/src/qemu/qemu_command.c b/src/qemu/qemu_command.c
index ca9329bb5..056e62129 100644
--- a/src/qemu/qemu_command.c
+++ b/src/qemu/qemu_command.c
@@ -5630,33 +5630,19 @@ qemuBuildMonitorCommandLine(virLogManagerPtr logManager,
     if (!monitor_chr)
         return 0;
 
-    /* Use -chardev if it's available */
-    if (virQEMUCapsGet(qemuCaps, QEMU_CAPS_CHARDEV)) {
-
-        if (!(chrdev = qemuBuildChrChardevStr(logManager, cmd, cfg, def,
-                                              monitor_chr, "monitor",
-                                              qemuCaps, true,
-                                              chardevStdioLogd)))
-            return -1;
-        virCommandAddArg(cmd, "-chardev");
-        virCommandAddArg(cmd, chrdev);
-        VIR_FREE(chrdev);
-
-        virCommandAddArg(cmd, "-mon");
-        virCommandAddArgFormat(cmd,
-                               "chardev=charmonitor,id=monitor,mode=%s",
-                               monitor_json ? "control" : "readline");
-    } else {
-        const char *prefix = NULL;
-        if (monitor_json)
-            prefix = "control,";
+    if (!(chrdev = qemuBuildChrChardevStr(logManager, cmd, cfg, def,
+                                          monitor_chr, "monitor",
+                                          qemuCaps, true,
+                                          chardevStdioLogd)))
+        return -1;
+    virCommandAddArg(cmd, "-chardev");
+    virCommandAddArg(cmd, chrdev);
+    VIR_FREE(chrdev);
 
-        virCommandAddArg(cmd, "-monitor");
-        if (!(chrdev = qemuBuildChrArgStr(monitor_chr, prefix)))
-            return -1;
-        virCommandAddArg(cmd, chrdev);
-        VIR_FREE(chrdev);
-    }
+    virCommandAddArg(cmd, "-mon");
+    virCommandAddArgFormat(cmd,
+                           "chardev=charmonitor,id=monitor,mode=%s",
+                           monitor_json ? "control" : "readline");
 
     return 0;
 }
